package com.buy507.mall.service;

import java.util.List;

import org.apache.poi.ss.usermodel.Workbook;

import com.buy507.mall.dto.MemberWithdrawApplyResult;

public interface DmsMemberWithdrawApplyService {

	List<MemberWithdrawApplyResult> list(String startTime, String endTime, Integer paymentStatus, Integer pageSize, Integer pageNum);
	
	void payment(List<Long> ids);
	
	void paymentFailed(Long id, String failedReason);
	
	Workbook exportExcel(String startTime, String endTime, Integer paymentStatus);
	
}
